KUnitTest::Tester Class Referenceabstract

`#include <tester.h>`

Inheritance diagram for KUnitTest::Tester:

## Public Member Functions

| Tester (const char *name=0L)
virtual void | allTests ()=0
virtual TestResults * | results ()

## Protected Member Functions

void | skip (const char *file, int line, QString msg)
template<typename T >
void | check (const char *file, int line, const char *str, const T &result, const T &expectedResult, bool expectedFail)
void | success (const QString &message)
void | failure (const QString &message)
void | expectedFailure (const QString &message)
void | unexpectedSuccess (const QString &message)
void | skipTest (const QString &message)
void | setExceptionRaised (bool state)
bool | exceptionRaised () const

## Protected Attributes

TestResults * | m_results

## Detailed Description

The abstract Tester class forms the base class for all test cases. Users must implement the void Tester::allTests() method. This method contains the actual test.

Use the CHECK(x,y), XFAIL(x,y) and SKIP(x) macros in the allTests() method to perform the tests.

See also
  CHECK, XFAIL, SKIP

Definition at line 522 of file tester.h.

## Member Function Documentation

virtual void KUnitTest::Tester::allTests | ( |  | ) |

pure virtual

Implement this method with the tests and checks you want to perform.

Implemented in KUnitTest::SlotTester.

template<typename T >

void KUnitTest::Tester::check | ( | const char * | file,
|  | int | line,
|  | const char * | str,
|  | const T & | result,
|  | const T & | expectedResult,
|  | bool | expectedFail
| ) |  |

inline protected

This is called when the CHECK or XFAIL macro is used.

Parameters

  file | A C-string containing the name of the file where the skipped tests resides. Typically the FILE macro is used to retrieve the filename.
  line | The linenumber in the file `file`. Use the LINE macro for this.
  str | The message that identifies the skipped test.
  result | The result of the test.
  expectedResult | The expected result.
  expectedFail | Indicates whether or not a failure is expected.

Definition at line 564 of file tester.h.

bool KUnitTest::Tester::exceptionRaised | ( |  | ) | const

inline protected

Returns what the currently tested exception state.

See also
  setExceptionRaised

Definition at line 669 of file tester.h.

void KUnitTest::Tester::expectedFailure | ( | const QString & | message | ) |

inline protected

This function can be used to flag expected failures, when doing customized tests while not using the check function.

Parameters

  message | the message describing what failed. Should be informative, such as mentioning the expression that failed and where, the file name and file number.

Definition at line 635 of file tester.h.

void KUnitTest::Tester::failure | ( | const QString & | message | ) |

inline protected

This function can be used to flag failing tests, when doing customized tests while not using the check function.

Parameters

  message | the message describing what failed. Should be informative, such as mentioning the expression that failed and where, the file name and file number.

Definition at line 626 of file tester.h.

virtual TestResults* KUnitTest::Tester::results | ( |  | ) |

inline virtual

Returns
  The TestResults instance.

Definition at line 539 of file tester.h.

void KUnitTest::Tester::setExceptionRaised | ( | bool | state | ) |

inline protected

exceptionRaised and exceptionState are book-keeping functions for testing for exceptions. setExceptionRaised sets an internal boolean to true.

See also
  exceptionRaised

Parameters

  state | the new

Definition at line 662 of file tester.h.

void KUnitTest::Tester::skip | ( | const char * | file,
|  | int | line,
|  | QString | msg
| ) |  |

inline protected

This is called when the SKIP(x) macro is used.

Parameters

  file | A C-string containing the name of the file where the skipped tests resides. Typically the FILE macro is used to retrieve the filename.
  line | The linenumber in the file `file`. Use the LINE macro for this.
  msg | The message that identifies the skipped test.

Definition at line 547 of file tester.h.

void KUnitTest::Tester::skipTest | ( | const QString & | message | ) |

inline protected

This function can be used to flag a test as skipped, when doing customized tests while not using the check function.

Parameters

  message | the message describing what failed. Should be informative, such as mentioning the expression that failed and where, the file name and file number.

Definition at line 653 of file tester.h.

void KUnitTest::Tester::success | ( | const QString & | message | ) |

inline protected

This function can be used to flag succeeding tests, when doing customized tests while not using the check function.

Parameters

  message | the message describing what failed. Should be informative, such as mentioning the expression that failed and where, the file and file number.

Definition at line 617 of file tester.h.

void KUnitTest::Tester::unexpectedSuccess | ( | const QString & | message | ) |

inline protected

This function can be used to flag unexpected successes, when doing customized tests while not using the check function.

Parameters

  message | the message describing what failed. Should be informative, such as mentioning the expression that failed and where, the file name and file number.

Definition at line 644 of file tester.h.

The documentation for this class was generated from the following file:

- tester.h

KDE Home | KDE Accessibility Home | Description of Access Keys